<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: ExpansionInformation Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_expansion_information.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_expansion_information-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ExpansionInformation Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af8767b25b9517cd89d083ce1fcf02dc8"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#af8767b25b9517cd89d083ce1fcf02dc8">macrolevel</a></td></tr>
<tr class="separator:af8767b25b9517cd89d083ce1fcf02dc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4522a6b133d52e83b213f3844b24dc66"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a4522a6b133d52e83b213f3844b24dc66">argExpLevel</a></td></tr>
<tr class="separator:a4522a6b133d52e83b213f3844b24dc66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaefc3aad21aa1ff0f79e4235a674ce19"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#aaefc3aad21aa1ff0f79e4235a674ce19">isfunctionTypePartner</a></td></tr>
<tr class="separator:aaefc3aad21aa1ff0f79e4235a674ce19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6f68c2f0fe25c6098e4d1d0ae9191f3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#af6f68c2f0fe25c6098e4d1d0ae9191f3">isASTnodePartner</a></td></tr>
<tr class="separator:af6f68c2f0fe25c6098e4d1d0ae9191f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6a82843ba0a6abbc6657e5fb4135de3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#ad6a82843ba0a6abbc6657e5fb4135de3">isEndPosition</a></td></tr>
<tr class="separator:ad6a82843ba0a6abbc6657e5fb4135de3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa96f3eced1353806080fd01a40928f80"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#aa96f3eced1353806080fd01a40928f80">hasExpansionPairInMacro</a></td></tr>
<tr class="separator:aa96f3eced1353806080fd01a40928f80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6df9179bf982c49717c8b3f783315829"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a6df9179bf982c49717c8b3f783315829">StartDecomposedAST</a></td></tr>
<tr class="separator:a6df9179bf982c49717c8b3f783315829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db7ffd09ccac270b890b2d59925456a"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a1db7ffd09ccac270b890b2d59925456a">EndDecomposedAST</a></td></tr>
<tr class="separator:a1db7ffd09ccac270b890b2d59925456a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a709e69a21bc621142e166b71d4fce29b"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a709e69a21bc621142e166b71d4fce29b">StartDecomposedMACRO</a></td></tr>
<tr class="separator:a709e69a21bc621142e166b71d4fce29b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc8d61f974364146c46ea9e8d0dd6d7b"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#adc8d61f974364146c46ea9e8d0dd6d7b">EndDecomposedMACRO</a></td></tr>
<tr class="separator:adc8d61f974364146c46ea9e8d0dd6d7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d7b7ff7445491bff1a4239f7500ad16"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a4d7b7ff7445491bff1a4239f7500ad16">ExpansionInMacroStart</a></td></tr>
<tr class="separator:a4d7b7ff7445491bff1a4239f7500ad16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10f03b36c9e441a2ffdd6c930ad50d95"><td class="memItemLeft" align="right" valign="top">std::pair&lt; FileID, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a10f03b36c9e441a2ffdd6c930ad50d95">ExpansionInMacroEnd</a></td></tr>
<tr class="separator:a10f03b36c9e441a2ffdd6c930ad50d95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68b2a5873d87ab62c81c7b7f9edaf5aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_types_for_analysis_8h.html#a941f17d9842301496770a69e829d8686">SupportedExpansions</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a68b2a5873d87ab62c81c7b7f9edaf5aa">ExpEnum</a></td></tr>
<tr class="separator:a68b2a5873d87ab62c81c7b7f9edaf5aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af60eeb5a7447c7b534e7322f2362f5ef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_types_for_analysis_8h.html#a75146f9c2b5cc9b211f3ae95451d85e0">ExpansionStatus</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#af60eeb5a7447c7b534e7322f2362f5ef">Status</a></td></tr>
<tr class="separator:af60eeb5a7447c7b534e7322f2362f5ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa80dcacd1a3f054a322dc497c893ec64"><td class="memItemLeft" align="right" valign="top">FileID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#aa80dcacd1a3f054a322dc497c893ec64">IdOfFileOrExpInfo</a></td></tr>
<tr class="separator:aa80dcacd1a3f054a322dc497c893ec64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9568fb0c5344f760cf61cded7029b848"><td class="memItemLeft" align="right" valign="top">std::pair&lt; SourceLocation, SourceLocation &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a9568fb0c5344f760cf61cded7029b848">ExpansionLoc</a></td></tr>
<tr class="separator:a9568fb0c5344f760cf61cded7029b848"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b60144133a04ab0228e47629652977d"><td class="memItemLeft" align="right" valign="top">std::pair&lt; SourceLocation, SourceLocation &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_expansion_information.html#a8b60144133a04ab0228e47629652977d">SpellLoc</a></td></tr>
<tr class="separator:a8b60144133a04ab0228e47629652977d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4522a6b133d52e83b213f3844b24dc66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4522a6b133d52e83b213f3844b24dc66">&#9670;&nbsp;</a></span>argExpLevel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned ExpansionInformation::argExpLevel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1db7ffd09ccac270b890b2d59925456a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1db7ffd09ccac270b890b2d59925456a">&#9670;&nbsp;</a></span>EndDecomposedAST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; ExpansionInformation::EndDecomposedAST</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc8d61f974364146c46ea9e8d0dd6d7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc8d61f974364146c46ea9e8d0dd6d7b">&#9670;&nbsp;</a></span>EndDecomposedMACRO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; ExpansionInformation::EndDecomposedMACRO</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a10f03b36c9e441a2ffdd6c930ad50d95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10f03b36c9e441a2ffdd6c930ad50d95">&#9670;&nbsp;</a></span>ExpansionInMacroEnd</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; ExpansionInformation::ExpansionInMacroEnd</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4d7b7ff7445491bff1a4239f7500ad16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d7b7ff7445491bff1a4239f7500ad16">&#9670;&nbsp;</a></span>ExpansionInMacroStart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; ExpansionInformation::ExpansionInMacroStart</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9568fb0c5344f760cf61cded7029b848"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9568fb0c5344f760cf61cded7029b848">&#9670;&nbsp;</a></span>ExpansionLoc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;SourceLocation,SourceLocation&gt; ExpansionInformation::ExpansionLoc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a68b2a5873d87ab62c81c7b7f9edaf5aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68b2a5873d87ab62c81c7b7f9edaf5aa">&#9670;&nbsp;</a></span>ExpEnum</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_types_for_analysis_8h.html#a941f17d9842301496770a69e829d8686">SupportedExpansions</a> ExpansionInformation::ExpEnum</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa96f3eced1353806080fd01a40928f80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa96f3eced1353806080fd01a40928f80">&#9670;&nbsp;</a></span>hasExpansionPairInMacro</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionInformation::hasExpansionPairInMacro</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa80dcacd1a3f054a322dc497c893ec64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa80dcacd1a3f054a322dc497c893ec64">&#9670;&nbsp;</a></span>IdOfFileOrExpInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FileID ExpansionInformation::IdOfFileOrExpInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af6f68c2f0fe25c6098e4d1d0ae9191f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6f68c2f0fe25c6098e4d1d0ae9191f3">&#9670;&nbsp;</a></span>isASTnodePartner</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionInformation::isASTnodePartner</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad6a82843ba0a6abbc6657e5fb4135de3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6a82843ba0a6abbc6657e5fb4135de3">&#9670;&nbsp;</a></span>isEndPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionInformation::isEndPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaefc3aad21aa1ff0f79e4235a674ce19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaefc3aad21aa1ff0f79e4235a674ce19">&#9670;&nbsp;</a></span>isfunctionTypePartner</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionInformation::isfunctionTypePartner</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8767b25b9517cd89d083ce1fcf02dc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8767b25b9517cd89d083ce1fcf02dc8">&#9670;&nbsp;</a></span>macrolevel</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned ExpansionInformation::macrolevel</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8b60144133a04ab0228e47629652977d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b60144133a04ab0228e47629652977d">&#9670;&nbsp;</a></span>SpellLoc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;SourceLocation,SourceLocation&gt; ExpansionInformation::SpellLoc</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6df9179bf982c49717c8b3f783315829"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6df9179bf982c49717c8b3f783315829">&#9670;&nbsp;</a></span>StartDecomposedAST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; ExpansionInformation::StartDecomposedAST</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a709e69a21bc621142e166b71d4fce29b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a709e69a21bc621142e166b71d4fce29b">&#9670;&nbsp;</a></span>StartDecomposedMACRO</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;FileID, unsigned&gt; ExpansionInformation::StartDecomposedMACRO</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af60eeb5a7447c7b534e7322f2362f5ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af60eeb5a7447c7b534e7322f2362f5ef">&#9670;&nbsp;</a></span>Status</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_types_for_analysis_8h.html#a75146f9c2b5cc9b211f3ae95451d85e0">ExpansionStatus</a> ExpansionInformation::Status</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_expansion_information.html">ExpansionInformation</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
